# $Revision: 1.12 $, $Date: 2006/12/13 22:22:55 $
%define		_modname	dbx
%define		_status		stable
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - database abstraction functions
Summary(pl):	%{_modname} - funkcje abstrakcji baz danych
Name:		php-pecl-%{_modname}
Version:	1.1.0
Release:	7
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	82d1091c75e047c4a8f9aea7b279e13b
URL:		http://pecl.php.net/package/dbx/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Obsoletes:	php-dbx
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The dbx module is a database abstraction layer. The dbx functions
allow you to access all supported databases using a single calling
convention. The dbx-functions themselves do not interface directly to
the databases, but interface to the modules that are used to support
these databases.

The currently supported databases are MySQL, ODBC, Oracle (oci8), MS
SQL Server, PostgreSQL, FrontBase, Sybase-CT and SQLite.

In PECL status of this extension is: %{_status}.

%description -l pl
Modu dbx to warstwa abstrakcji baz danych. Funkcje dbx pozwalaj na
dostp do wspieranych baz danych przy uyciu spjnej konwencji.
Funkcje dbx jako takie nie s bezporednim interfejsem do bazy danych,
ale interfejsem do moduw do obsugi baz danych.

Aktualnie wspierane bazy danych to MySQL, ODBC, Oracle (oci8), MS SQL
Server, PostgreSQL, FrontBase, Sybase-CT oraz SQLite.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-dbx.spec,v $
Revision 1.12  2006/12/13 22:22:55  glen
- rel 7 (php 5.2.0)

Revision 1.11  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.10  2005/12/26 00:21:00  qboosh
- no macro for old package name

Revision 1.9  2005/12/25 21:00:13  glen
- obsolete removed php extension from php sources; rel 6

Revision 1.8  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.7  2005/10/30 13:29:27  glen
- rel 4

Revision 1.6  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.5  2005/09/14 20:28:24  glen
- rel 2

Revision 1.4  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.3  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.2  2005/08/27 08:36:39  qboosh
- pl fix

Revision 1.1  2005/08/21 20:15:39  adamg
- new
